package com.sooka.system.gas.sc_gas_purchase_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.system.gas.sc_gas_purchase_infor.domain.TGuijiSCGasPurchaseInfor;
import com.sooka.system.gas.sc_gas_purchase_infor.mapper.TGuijiSCGasPurchaseMapper;
import com.sooka.system.gas.sc_gas_purchase_infor.service.ITGuijiSCGasPurchaseInforService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 思凯收费系统-预付费购气信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiSCGasPurchaseInforServiceImpl implements ITGuijiSCGasPurchaseInforService
{
    @Autowired
    private TGuijiSCGasPurchaseMapper mapper;

    /**
     * 查询思凯收费系统-预付费购气信息
     *
     * @param id 思凯收费系统-预付费购气信息ID
     * @return 思凯收费系统-预付费购气信息
     */
    @Override
    public TGuijiSCGasPurchaseInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询思凯收费系统-预付费购气信息列表
     *
     * @param param 思凯收费系统-预付费购气信息
     * @return 思凯收费系统-预付费购气信息
     */
    @Override
    public List<TGuijiSCGasPurchaseInfor> selectList(TGuijiSCGasPurchaseInfor param)
    {
        return mapper.selectList(param);
    }

    /**
     * 新增思凯收费系统-预付费购气信息
     *
     * @param param 思凯收费系统-预付费购气信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiSCGasPurchaseInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改思凯收费系统-预付费购气信息
     *
     * @param param 思凯收费系统-预付费购气信息
     * @return 结果
     */
    @Override
    public int update(TGuijiSCGasPurchaseInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除思凯收费系统-预付费购气信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除思凯收费系统-预付费购气信息信息
     *
     * @param id 思凯收费系统-预付费购气信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
